Package com.mapd.thrift.server

## Enum TDatumType

- java.lang.Object
- - java.lang.Enum<TDatumType>
  - - com.mapd.thrift.server.TDatumType

All Implemented Interfaces:
  `Serializable`, `Comparable<TDatumType>`, `org.apache.thrift.TEnum`

    public enum TDatumType
    extends Enum<TDatumType>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`BIGINT`
`BOOL`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`GEOGRAPHY`
`GEOMETRY`
`INT`
`INTERVAL_DAY_TIME`
`INTERVAL_YEAR_MONTH`
`LINESTRING`
`MULTIPOLYGON`
`POINT`
`POLYGON`
`SMALLINT`
`STR`
`TIME`
`TIMESTAMP`
`TINYINT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TDatumType` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TDatumType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TDatumType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SMALLINT

    public static final TDatumType SMALLINT

#### INT

    public static final TDatumType INT

#### BIGINT

    public static final TDatumType BIGINT

#### FLOAT

    public static final TDatumType FLOAT

#### DECIMAL

    public static final TDatumType DECIMAL

#### DOUBLE

    public static final TDatumType DOUBLE

#### STR

    public static final TDatumType STR

#### TIME

    public static final TDatumType TIME

#### TIMESTAMP

    public static final TDatumType TIMESTAMP

#### DATE

    public static final TDatumType DATE

#### BOOL

    public static final TDatumType BOOL

#### INTERVAL_DAY_TIME

    public static final TDatumType INTERVAL_DAY_TIME

#### INTERVAL_YEAR_MONTH

    public static final TDatumType INTERVAL_YEAR_MONTH

#### POINT

    public static final TDatumType POINT

#### LINESTRING

    public static final TDatumType LINESTRING

#### POLYGON

    public static final TDatumType POLYGON

#### MULTIPOLYGON

    public static final TDatumType MULTIPOLYGON

#### TINYINT

    public static final TDatumType TINYINT

#### GEOMETRY

    public static final TDatumType GEOMETRY

#### GEOGRAPHY

    public static final TDatumType GEOGRAPHY

### Method Detail

#### values

    public static TDatumType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TDatumType c : TDatumType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TDatumType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TDatumType findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.